Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1605852 - python-pygit2: FTBFS in Fedora rawhide
Summary: python-pygit2: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pygit2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON37 F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 17:18 UTC by Mohan Boddu
Modified: 2018-08-10 13:40 UTC (History)
4 users (show)

Fixed In Version: python-pygit2-0.27.1-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-10 13:40:35 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-07-20 17:18 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-20 17:18 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-20 17:18 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 17:18:10 UTC
python-pygit2 failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28223862


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix python-pygit2 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-pygit2 will be orphaned. Before branching of Fedora 30,
python-pygit2 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 17:18:14 UTC
Created attachment 1466660 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Mohan Boddu 2018-07-20 17:18:18 UTC
Created attachment 1466661 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 17:18:23 UTC
Created attachment 1466662 [details]
state.log

Comment 4 Miro Hrončok 2018-07-25 09:26:25 UTC
(This is a mass bug update. Forgive me if things are not 100% accurate for this one.)

At this moment, your package still requires Python 3.6. This will cause broken upgrades to Fedora 29. Please prioritize this rebuild.

Let me know if you need help from the Python maintenance team figuring out why the package FTBFS.

Consider orphaning the package if you don't have time for it.

Consider retiring the package if upstream is dead and nothing depends on it in Fedora.

If you are blocked by other packages (I've recently tried to set the Bugzilla metadata to reflect that), consider helping there as well. Thank you.

Comment 5 Miro Hrončok 2018-08-06 10:22:16 UTC
This is another friendly reminder.

Please take action.


Note You need to log in before you can comment on or make changes to this bug.